com.fasterxml.jackson.databind.ser

## Class AnyGetterWriter

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.ConcreteBeanPropertyBase
  - - com.fasterxml.jackson.databind.ser.PropertyWriter
    - - com.fasterxml.jackson.databind.ser.BeanPropertyWriter
      - - com.fasterxml.jackson.databind.ser.AnyGetterWriter

All Implemented Interfaces:
  BeanProperty, Named, Serializable

    public class AnyGetterWriter
    extends BeanPropertyWriter
    implements Serializable

Class similar to `BeanPropertyWriter`, but that will be used for serializing `JsonAnyGetter` annotated (Map) properties

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.BeanProperty

`BeanProperty.Bogus, BeanProperty.Std`

### Field Summary

Fields
`protected AnnotatedMember` `_accessor` Method (or Field) that represents the "any getter"
`protected MapSerializer` `_mapSerializer`
`protected BeanProperty` `_property`
`protected JsonSerializer<Object>` `_serializer`

### Fields inherited from class com.fasterxml.jackson.databind.ser.BeanPropertyWriter

`_accessorMethod, _cfgSerializationType, _contextAnnotations, _declaredType, _dynamicSerializers, _field, _includeInViews, _internalSettings, _member, _name, _nonTrivialBaseType, _nullSerializer, _suppressableValue, _suppressNulls, _typeSerializer, _wrapperName, MARKER_FOR_EMPTY`

### Fields inherited from class com.fasterxml.jackson.databind.introspect.ConcreteBeanPropertyBase

`_aliases, _metadata`

### Fields inherited from interface com.fasterxml.jackson.databind.BeanProperty

`EMPTY_FORMAT, EMPTY_INCLUDE`

### Constructor Summary

Constructors
Constructor and Description
`AnyGetterWriter(BeanProperty property, AnnotatedMember accessor, JsonSerializer<?> serializer)` Deprecated. Since 2.19, use one that takes `BeanPropertyWriter` instead.
`AnyGetterWriter(BeanPropertyWriter parent, BeanProperty property, AnnotatedMember accessor, JsonSerializer<?> serializer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `depositSchemaProperty(JsonObjectFormatVisitor v, SerializerProvider provider)` Traversal method used for things like JSON Schema generation, or POJO introspection.
`void` `fixAccess(SerializationConfig config)` Method called to ensure that the mutator has proper access rights to be called, as per configuration.
`void` `getAndFilter(Object bean, JsonGenerator gen, SerializerProvider provider, PropertyFilter filter)`
`void` `getAndSerialize(Object bean, JsonGenerator gen, SerializerProvider provider)`
`void` `resolve(SerializerProvider provider)`
`void` `serializeAsField(Object bean, JsonGenerator gen, SerializerProvider prov)` Method called to access property that this bean stands for, from within given bean, and to serialize it as a JSON Object field using appropriate serializer.

### Methods inherited from class com.fasterxml.jackson.databind.ser.BeanPropertyWriter

`_depositSchemaProperty, _findAndAddDynamic, _handleSelfReference, _new, assignNullSerializer, assignSerializer, assignTypeSerializer, depositSchemaProperty, get, getAnnotation, getContextAnnotation, getFullName, getGenericPropertyType, getInternalSetting, getMember, getName, getPropertyType, getRawSerializationType, getSerializationType, getSerializedName, getSerializer, getType, getTypeSerializer, getViews, getWrapperName, hasNullSerializer, hasSerializer, isUnwrapping, removeInternalSetting, rename, serializeAsElement, serializeAsOmittedField, serializeAsPlaceholder, setInternalSetting, setNonTrivialBaseType, toString, unwrappingWriter, willSuppressNulls, wouldConflictWithName`

### Methods inherited from class com.fasterxml.jackson.databind.ser.PropertyWriter

`findAnnotation`

### Methods inherited from class com.fasterxml.jackson.databind.introspect.ConcreteBeanPropertyBase

`findAliases, findFormatOverrides, findPropertyFormat, findPropertyInclusion, getMetadata, isRequired, isVirtual`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _property

    protected final BeanProperty _property

#### _accessor

    protected final AnnotatedMember _accessor

Method (or Field) that represents the "any getter"

#### _serializer

    protected JsonSerializer<Object> _serializer

#### _mapSerializer

    protected MapSerializer _mapSerializer

### Constructor Detail

#### AnyGetterWriter

    public AnyGetterWriter(BeanPropertyWriter parent,
                           BeanProperty property,
                           AnnotatedMember accessor,
                           JsonSerializer<?> serializer)

Since:
  2.19

#### AnyGetterWriter

    @Deprecated
    public AnyGetterWriter(BeanProperty property,
                                       AnnotatedMember accessor,
                                       JsonSerializer<?> serializer)

Deprecated. Since 2.19, use one that takes `BeanPropertyWriter` instead.

### Method Detail

#### fixAccess

    public void fixAccess(SerializationConfig config)

Description copied from class: `BeanPropertyWriter`
Method called to ensure that the mutator has proper access rights to be called, as per configuration. Overridden by implementations that have mutators that require access, fields and setters.

Overrides:
  `fixAccess` in class `BeanPropertyWriter`
Since:
  2.8.3

#### getAndSerialize

    public void getAndSerialize(Object bean,
                                JsonGenerator gen,
                                SerializerProvider provider)
                         throws Exception

Throws:
  `Exception`

#### serializeAsField

    public void serializeAsField(Object bean,
                                 JsonGenerator gen,
                                 SerializerProvider prov)
                          throws Exception

Description copied from class: `BeanPropertyWriter`
Method called to access property that this bean stands for, from within given bean, and to serialize it as a JSON Object field using appropriate serializer.

Overrides:
  `serializeAsField` in class `BeanPropertyWriter`
Throws:
  `Exception`

#### depositSchemaProperty

    public void depositSchemaProperty(JsonObjectFormatVisitor v,
                                      SerializerProvider provider)
                               throws JsonMappingException

Description copied from class: `PropertyWriter`
Traversal method used for things like JSON Schema generation, or POJO introspection.

Specified by:
  `depositSchemaProperty` in interface `BeanProperty`
Overrides:
  `depositSchemaProperty` in class `BeanPropertyWriter`
Parameters:
  `v` - Visitor to used as the callback handler
Throws:
  `JsonMappingException`

#### getAndFilter

    public void getAndFilter(Object bean,
                             JsonGenerator gen,
                             SerializerProvider provider,
                             PropertyFilter filter)
                      throws Exception

Throws:
  `Exception`
Since:
  2.3

#### resolve

    public void resolve(SerializerProvider provider)
                 throws JsonMappingException

Throws:
  `JsonMappingException`